### DB_MPOOLFILE->set_maxsize |

`

###

    #include <db.h>

    int
    DB_MPOOLFILE->set_maxsize(DB_MPOOLFILE *mpf,
        u_int32_t gbytes, u_int32_t bytes);

    int
    DB_MPOOLFILE->get_maxsize(DB_MPOOLFILE *mpf,
        u_int32_t *gbytesp, u_int32_t *bytesp);

### Description: DB_MPOOLFILE->set_maxsize

Set the maximum size for the file to be gbytes gigabytes plus bytes. Attempts to allocate new pages in the file after the limit has been reached will fail.

To set the maximum file size for a particular database, call the DB_MPOOLFILE->set_maxsize method using the DB_MPOOLFILE handle stored in the mpf field of the DB handle. Attempts to insert new items into the database after the limit has been reached may fail.

The DB_MPOOLFILE->set_maxsize method configures a file in the memory pool, not only operations performed using the specified DB_MPOOLFILE handle.

The DB_MPOOLFILE->set_maxsize method may be called at any time during the life of the application.

The DB_MPOOLFILE->set_maxsize method returns a non-zero error value on failure and 0 on success.

### Parameters

bytes
  The maximum size of the file is set to gbytes gigabytes plus bytes.
gbytes
  The maximum size of the file is set to gbytes gigabytes plus bytes.

### Description: DB_MPOOLFILE->get_maxsize

The DB_MPOOLFILE->get_maxsize method returns a non-zero error value on failure and 0 on success.

The DB_MPOOLFILE->get_maxsize method may be called at any time during the life of the application.

### Parameters

bytesp
  The bytesp parameter references memory into which the additional bytes of memory in the maximum file size is copied.
gbytesp
  The gbytesp parameter references memory into which the gigabytes of memory in the maximum file size is copied.

### Class

DB_ENV, DB_MPOOLFILE

### See Also

Memory Pools and Related Methods`

Copyright (c) 1996-2005 Sleepycat Software, Inc. - All rights reserved.